﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using PushPlatform.Data;

namespace PushPlatform.Background.Models
{
    public class MapPushUserRoleParam
    {
        /// <summary>
        /// 项目Id
        /// </summary>
        public string ProjectId { get; set; }

        /// <summary>
        /// 子项目配置推送表的Id
        /// </summary>
        public string ProCfgId { get; set; }
        /// <summary>
        /// 角色Id（多个用逗号隔开）
        /// </summary>
        public string RoleIdList { get; set; }

        /// <summary>
        /// 是否全选
        /// </summary>
        public int IsCheckAll { get; set; }
        /// <summary>
        /// 数据List体
        /// </summary>
        public List<MappushUserRole> DataList { get; set; }
    }
}